## org.apache.mahout.math
Class DenseMatrixWritable

    java.lang.Object
      org.apache.mahout.math.AbstractMatrix
          org.apache.mahout.math.DenseMatrix
              org.apache.mahout.math.DenseMatrixWritable

All Implemented Interfaces:
  java.lang.Cloneable, java.lang.Iterable<MatrixSlice>, org.apache.hadoop.io.Writable, Matrix, VectorIterable

    public class DenseMatrixWritable

extends DenseMatrix
implements org.apache.hadoop.io.Writable

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.mahout.math.AbstractMatrix
`AbstractMatrix.TransposeViewVector`

Field Summary

Fields inherited from class org.apache.mahout.math.DenseMatrix
`values`

Fields inherited from class org.apache.mahout.math.AbstractMatrix
`cardinality, COL, columnLabelBindings, ROW, rowLabelBindings`

Constructor Summary
`DenseMatrixWritable()`

Method Summary
`void` `readFields(java.io.DataInput in)`
`void` `write(java.io.DataOutput out)`

Methods inherited from class org.apache.mahout.math.DenseMatrix
`assign, assignColumn, assignRow, clone, getColumn, getNumNondefaultElements, getQuick, getRow, like, like, setQuick, viewPart, viewPart`

Methods inherited from class org.apache.mahout.math.AbstractMatrix

`aggregate, aggregateColumns, aggregateRows, asFormatString, assign, assign, assign, assign, columnSize, decodeMatrix, determinant, divide, get, get, getColumnLabelBindings, getRowLabelBindings, iterateAll, iterator, minus, numCols, numRows, numSlices, plus, plus, rowSize, set, set, set, set, set, set, setColumnLabelBindings, setRowLabelBindings, size, slice, times, times, times, timesSquared, transpose, viewColumn, viewRow, zSum`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DenseMatrixWritable

    public DenseMatrixWritable()

Method Detail

### readFields

    public void readFields(java.io.DataInput in)
                    throws java.io.IOException

  Specified by:
    `readFields` in interface `org.apache.hadoop.io.Writable`
  Throws:
    `java.io.IOException`

### write

    public void write(java.io.DataOutput out)
               throws java.io.IOException

  Specified by:
    `write` in interface `org.apache.hadoop.io.Writable`
  Throws:
    `java.io.IOException`

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.